<?php
define('NTLCMS', 1);
$module = 'plus';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница пополнения через Payeer - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Ввод средств Payeer</b></div>';
$error = null;
if (isset($_POST['col'])){
$summa = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_INT) : '0';
$purse = isset($_USER['payeer']) ? filter_var($_USER['payeer'], FILTER_SANITIZE_STRING) : false;
if (empty($summa)){
$error.= 'Введите сумму для пополнения баланса!<br/>';
} elseif (!is_numeric($summa)){
$error.= 'Не верно введена сумма!<br/>';
} elseif ($summa < 1){
$error.= 'Минимальная сумма для пополнения 1 руб.!<br/>';
} elseif (DB :: run() -> querySingle("select (`login`) from `inmoney` where `login` = ?", array($ulogin))){
$error.= 'У вас уже есть заявка на ввод средств!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
DB :: run() -> query("insert into `inmoney` (`date`, `login`, `money`, `wmr`) values (?, ?, ?, ?)", array(TIME, $ilogin, $summa, $purse,));
echo '<div class="menu"><center>Чтобы средства были зачислены, сделайте перевод в системе Payeer:<br/>
На кошелек <span style="color:red">'.$set['payeer'].'</span> переведите '.$summa.' руб. </center></div>
<div class="menu"><center><span style="color:red">Внимание!</span> В комментарии к платежу укажите: '.strtoupper($_SERVER['HTTP_HOST']).': '.$ulogin.'</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/finances">Мои финансы</a></div>';
exit (include ('../system/foot.php'));
}
}
echo '<div class="post"><center><span style="color:red"><b>Внимание! За ложный ввод средств БАН на неделю!</b></span></center></div>';
echo '<div class="menu"><center><form action="'.URL.'/payeer" method="post">
Сумма (Payeer):<br/><input type="text" size="5" name="col" maxlength="10"/><br/><br>
<input type="submit" value="Пополнить счет"/></form></center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/finances">Мои финансы</a></div>';
include ('../system/foot.php');
?>